Package org.eclipse.jdt.ui.search

## Class QuerySpecification

- java.lang.Object
- - org.eclipse.jdt.ui.search.QuerySpecification

Direct Known Subclasses:
  `ElementQuerySpecification`, `PatternQuerySpecification`

    public abstract class QuerySpecification
    extends Object

Describes a Java search query. A query is described by giving a scope, a scope description, what kind of match to search for (reference, declarations, etc) and either a Java element or a string and what kind of element to search for (type, field, etc). What exactly it means to, for example, to search for "references to type foo" is up to query participants. For example, a participant might consider the "class" attribute of an extension in a plugin.xml file to be a reference to the class mentioned in the attribute.

This class is not intended to be instantiated or subclassed by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLimitTo()` Returns what kind of occurrences the query should look for.
`IJavaSearchScope` `getScope()` Returns the search scope to be used in the query.
`String` `getScopeDescription()` Returns a human readable description of the search scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getScope

    public IJavaSearchScope getScope()

Returns the search scope to be used in the query.

Returns:
  The search scope.

#### getScopeDescription

    public String getScopeDescription()

Returns a human readable description of the search scope.

Returns:
  A description of the search scope.
See Also:
  `getScope()`

#### getLimitTo

    public int getLimitTo()

Returns what kind of occurrences the query should look for.

Returns:
  Whether to search for reference, declaration, etc.
See Also:
  `IJavaSearchConstants`